2018-03-21 03:35 EDT

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0002199FSSCPFREDpublic2012-12-16 19:45
Assigned ToValathil 
Product Version3.6.12 RC2 
Target VersionFixed in Version 
Summary0002199: FRED ignores ship lock on right click and adds ship to list.
DescriptionIf you select a ship and lock the selection right clicking on another ship will add the ship to the list of selected ships and include it in the lock. To reproduce start FRED and add one other ship. Select one ship, lock the selection, right click on the other ship. Both will now be selected and operations occur on both.
TagsNo tags attached.
Attached Files




MjnMixael (manager)

Still an issue. Happens if you click out of the right-click context menu or if you use any menu option.


Valathil (developer)

Fix committed to trunk@9442.

+Related Changesets

-Issue History
Date Modified Username Field Change
2010-05-04 03:38 FUBAR-BDHR New Issue
2010-10-20 01:59 karajorma Status new => assigned
2010-10-20 01:59 karajorma Assigned To => karajorma
2012-10-28 09:47 karajorma Assigned To karajorma =>
2012-12-15 13:50 MjnMixael Note Added: 0014468
2012-12-16 19:42 Valathil Assigned To => Valathil
2012-12-16 19:45 Valathil Changeset attached => fs2open trunk r9442
2012-12-16 19:45 Valathil Note Added: 0014492
2012-12-16 19:45 Valathil Status assigned => resolved
2012-12-16 19:45 Valathil Resolution open => fixed
+Issue History